#define DEFAULT_PROXY_PORT 3128

#define DEFAULT_REINDEX_TIME	7*24*60*60
#define DEFAULT_MAX_HOPS	256
#define READ_TIMEOUT		90
#define MAXNETERRORS		16

#define MAXTITLESIZE	128
#define MAXTEXTSIZE	255
#define MAXKEYWORDSIZE	255
#define MAXDESCSIZE	100
#define WSIZE		1024


#define F_ALLOW    0
#define F_DISALLOW 1
#define F_HEAD     2


#define HTML_UNK 0
#define HTML_TAG 1
#define HTML_TXT 2
#define HTML_COM 3

typedef struct alias_struct {
	char *find;
	char *replace;
} ALIAS;


extern __INDLIB__ INDEXER  *AllocIndexer(int handle);
extern __INDLIB__ int LoadConfig(char *conf_name,int config_level,int load_flags);
extern __INDLIB__ int ShowStatistics();
extern __INDLIB__ int IndexNextURL(INDEXER * Indexer,int index_flags);
extern __INDLIB__ void FreeIndexer(INDEXER *Indexer);
extern __INDLIB__ int ClearDatabase(INDEXER *Indexer);
extern __INDLIB__ char * IndexerErrorMsg(INDEXER *Indexer);
extern __INDLIB__ void SetAction(INDEXER *Indexer,int action);
